NXOpen.UF.ModlFeatures.CreateBridgeFace

ModlFeatures.CreateBridgeFace()

Refer to UF_MODL_create_bridge_face for documentation.

Signature: CreateBridgeFace(continuityType, guideType, primaryFaces, primaryEdges, primaryEdgesDir, sideString1, sideString2, sideFaces, sideEdges)

Parameters:
  • continuityType (int) – 1 = tangent continuous, 2= curvature continuous
  • guideType (int) – 0 = no guides; 1= guide strings; 2= guide surfaces
  • primaryFaces (list of Tag) – tags of 2 primary surfaces to be bridged
  • primaryEdges (list of Tag) – tags of edges on primary surfaces where the bridge should be attached.
  • primaryEdgesDir (int) – direction of primary_edges (if continuity_type = 1) 1 = forward -1 = backward
  • sideString1 (NXOpen.UF.Modl.StringList Refer to string_list for documentation.) – first guide string (if guide_type = 1)
  • sideString2 – second guide string (if guide_type = 1)
  • sideFaces (list of Tag) – tags of 2 side guide surfaces (if guide_type = 2)
  • sideEdges (list of Tag) – tags of edges on side surfaces where bridge should be attached (if guide_type = 2)
Returns:

tag of resulting surface

Return type:

Tag

License requirements: SOLIDS MODELING